Fastfold Docs
Workflows

Create Workflow Graph

Create a new workflow graph shell. This endpoint supports creating a boltzgen_v1 workflow.

POST
/v1/workflows/graph/add

Authorization

bearerAuth

AuthorizationBearer <token>

Bearer token authentication. Use your API key with: Authorization: Bearer <YOUR_API_KEY>

In: header

Request Body

application/json

workflow_name*string

Workflow template/type name

name?string
Default""
workflow_input?

Response Body

application/json

application/json

application/json

curl -X POST "https://api.fastfold.ai/v1/workflows/graph/add" \  -H "Content-Type: application/json" \  -d '{    "name": "My workflow via API",    "workflow_name": "boltzgen_v1"  }'
{
  "status": "PENDING",
  "workflow_id": "ecdf7c28-d773-41cb-bfa6-05e7ff27af42",
  "tasks_total_count": 0,
  "workflow_type": "boltzgen_v1",
  "input_sequence": null,
  "tasks_completed_count": 0,
  "tasks_failed_count": 0,
  "tasks": [],
  "created_at": "2026-02-22T20:31:33.007374",
  "updated_at": "2026-02-22T20:31:34.316422",
  "name": "My workflow via API",
  "reasoning_markdown_results": null,
  "user_id": "9a361e2b-0d22-4f08-8f26-c3c7a1266e48",
  "log_file_url": null,
  "library_item_workspace_id": "5cb0c786-5217-4d98-8ac6-6d9f6585f0db",
  "input_payload": null,
  "project_id": null
}
{
  "message": "Unsupported workflow type"
}
{
  "message": "Unauthorized"
}

Last updated on